import { NavigationEnd, Router } from '@angular/router';
import { BehaviorSubject } from 'rxjs';
import { Injectable, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { LibSharedMaterialModule } from 'lib-shared-material';
import { LibSharedModule } from 'lib-shared';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NavService {
    /**
     * @param {?} router
     */
    constructor(router) {
        this.router = router;
        this.currentUrl = new BehaviorSubject(undefined);
        this.router.events.subscribe((/**
         * @param {?} event
         * @return {?}
         */
        (event) => {
            if (event instanceof NavigationEnd) {
                this.currentUrl.next(event.urlAfterRedirects);
            }
        }));
    }
    /**
     * @return {?}
     */
    closeNav() {
        this.appDrawer.close();
    }
    /**
     * @return {?}
     */
    openNav() {
        this.appDrawer.open();
    }
}
NavService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
NavService.ctorParameters = () => [
    { type: Router }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class TopNavComponent {
    /**
     * @param {?} navService
     */
    constructor(navService) {
        this.navService = navService;
        console.log('carlos', 'teste');
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
TopNavComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-top-nav',
                template: "<mat-card>\n  OK !!!\n</mat-card>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                styles: [""]
            }] }
];
/** @nocollapse */
TopNavComponent.ctorParameters = () => [
    { type: NavService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class LibSigShellModule {
}
LibSigShellModule.decorators = [
    { type: NgModule, args: [{
                declarations: [TopNavComponent],
                imports: [LibSharedModule, LibSharedMaterialModule],
                exports: [TopNavComponent],
                providers: [NavService]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { TopNavComponent, NavService, LibSigShellModule };

//# sourceMappingURL=lib-sig-shell.js.map